Update a startup script
curl --request PUT \
--url https://console.wenium.com/api/startup-scripts/{script} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Install Web Server v2",
"content": "#!/bin/bash\napt update && apt install nginx -y"
}
'import requests
url = "https://console.wenium.com/api/startup-scripts/{script}"
payload = {
"name": "Install Web Server v2",
"content": "#!/bin/bash
apt update && apt install nginx -y"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Install Web Server v2',
content: '#!/bin/bash\napt update && apt install nginx -y'
})
};
fetch('https://console.wenium.com/api/startup-scripts/{script}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Startup script updated.",
"data": {
"id": 1,
"name": "Install Nginx",
"content": "#!/bin/bash\napt-get update\napt-get install -y nginx",
"is_active": true,
"user_id": 1,
"created_at": "2026-07-03T00:00:00.000000Z",
"updated_at": "2026-07-03T00:00:00.000000Z"
}
}Startup Scripts
Update a startup script
PUT
/
startup-scripts
/
{script}
Update a startup script
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
